## gssdp 1.4.0.1

=== debian/changelog ===
gssdp (1.4.0.1-2build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:56:44 +0100

gssdp (1.4.0.1-2) unstable; urgency=medium

  * Only build gssdp-tools on arches where gtk4 is available
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 20:21:22 -0400

gssdp (1.4.0.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on python3-jinja2, python3-toml, python3-typogrify
    for gi-docgen vendored copy. See 987000 for vendored copy explanation.
  * debian/copyright: Update for gi-docgen vendored copy
  * debian/libgssdp-doc.install: Update for new install location
  * debian/control.in: Build-Depend on gtk4 instead of gtk3
  * debian/control.in: Bump minimum meson to 0.54.0
  * debian/docs: README -> README.md
  * debian/libgssdp-1.2-0.symbols: Add new symbol
  * Bump debhelper-compat to 13
  * debian/rules: Clean up a bit

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 19 Sep 2021 14:31:58 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gssdp
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gtk-doc-tools,
               libglib2.0-dev (>= 2.54),
               libgirepository1.0-dev (>= 0.9.12),
               gir1.2-glib-2.0,
               libsoup2.4-dev (>= 2.26.1),
               libgtk-4-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64 ppc64el sh4 s390x],
               meson (>= 0.54.0),
               python3-jinja2,
               python3-toml,
               python3-typogrify,
               valac (>= 0.14)
Build-Depends-Indep: libglib2.0-doc <!nodoc>, libsoup2.4-doc <!nodoc>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gssdp
Vcs-Git: https://salsa.debian.org/gnome-team/gssdp.git
Homepage: https://wiki.gnome.org/Projects/GUPnP

Package: libgssdp-1.2-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GObject-based library for SSDP
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.

Package: gir1.2-gssdp-1.2
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GSSDP library
 This package contains introspection data for GSSDP, a SSDP
 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libgssdp-1.2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgssdp-1.2-0 (= ${binary:Version}),
         gir1.2-gssdp-1.2 (= ${binary:Version}),
         libsoup2.4-dev,
         ${misc:Depends}
Suggests: libgssdp-doc
Replaces: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
Breaks: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
Description: GObject-based library for SSDP (development files)
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.
 .
 This package contains the development files.

Package: libgssdp-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Build-Profiles: <!nodoc>
Description: GObject-based library for SSDP (documentation)
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.
 .
 This package contains the documentation.

Package: gssdp-tools
Section: net
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64 ppc64el sh4 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GObject-based library for SSDP (tools)
 A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
 transparently.
 .
 This package contains some tools, such as gssdp-device-sniffer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

GTK4_ARCHES := amd64 arm64 armel armhf i386 mips64el mipsel ppc64 ppc64el sh4 s390x

ifeq (,$(filter $(DEB_HOST_ARCH),$(GTK4_ARCHES)))
	ENABLE_SNIFFER = -Dsniffer=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		$(ENABLE_SNIFFER) \
		 -Dgtk_doc=true

# Make the tests non-fatal on kfreebsd-* as multicast requires to explicitly
# setup a route
ifneq (,$(filter $(DEB_HOST_ARCH),kfreebsd-amd64 kfreebsd-i386 hurd-i386))
override_dh_auto_test:
	dh_auto_test || true
endif

## gssdp 1.6.2

=== debian/changelog ===
gssdp (1.6.2-2) unstable; urgency=medium

  * Don't build gssdp-tools on i386 since pandoc isn't available there on Ubuntu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Nov 2022 19:01:09 -0500

gssdp (1.6.2-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on pandoc to build the manpage for gssdp-tools
  * Stop building gssdp-tools on sh4 since pandoc isn't available there
  * Set Rules-Requires-Root: no

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Nov 2022 07:23:37 -0500

gssdp (1.6.1-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build-Depend on gi-docgen instead of gtk-doc-tools
  * Drop patch: applied in new release
  * Update debian/copyright

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Update standards version to 4.6.1, no changes needed.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 19 Nov 2022 10:08:07 -0500

gssdp (1.6.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. (See #1022003)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 30 Oct 2022 14:51:16 +0100

gssdp (1.6.0-2) experimental; urgency=medium

  * Add debian/patches/Net-Posix-Use-correct-macro-to-parse-netlink-msgs.patch
    - cherry-picked from upstream

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Oct 2022 18:27:44 +0200

gssdp (1.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * Rename packages for 1.2->1.6 API/ABI bump
  * Switch (build-)deps to libsoup-3.0
  * Update symbols with new additions

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 18 Oct 2022 20:14:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,28 +6,30 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gtk-doc-tools,
+               gi-docgen,
                libglib2.0-dev (>= 2.54),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
-               libsoup2.4-dev (>= 2.26.1),
-               libgtk-4-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64 ppc64el sh4 s390x],
+               libsoup-3.0-dev,
+               libgtk-4-dev [amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el s390x],
                meson (>= 0.54.0),
+               pandoc [amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el s390x],
                python3-jinja2,
                python3-toml,
                python3-typogrify,
                valac (>= 0.14)
-Build-Depends-Indep: libglib2.0-doc <!nodoc>, libsoup2.4-doc <!nodoc>
-Standards-Version: 4.6.0
+Build-Depends-Indep: libglib2.0-doc <!nodoc>, libsoup-3.0-doc <!nodoc>
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/gssdp
 Vcs-Git: https://salsa.debian.org/gnome-team/gssdp.git
 Homepage: https://wiki.gnome.org/Projects/GUPnP
 
-Package: libgssdp-1.2-0
+Package: libgssdp-1.6-0
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -36,7 +38,7 @@
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
  transparently.
 
-Package: gir1.2-gssdp-1.2
+Package: gir1.2-gssdp-1.6
 Section: introspection
 Architecture: any
 Multi-Arch: same
@@ -49,13 +51,13 @@
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
-Package: libgssdp-1.2-dev
+Package: libgssdp-1.6-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgssdp-1.2-0 (= ${binary:Version}),
-         gir1.2-gssdp-1.2 (= ${binary:Version}),
-         libsoup2.4-dev,
+Depends: libgssdp-1.6-0 (= ${binary:Version}),
+         gir1.2-gssdp-1.6 (= ${binary:Version}),
+         libsoup-3.0-dev,
          ${misc:Depends}
 Suggests: libgssdp-doc
 Replaces: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
@@ -80,7 +82,7 @@
 
 Package: gssdp-tools
 Section: net
-Architecture: amd64 arm64 armel armhf i386 mips64el mipsel ppc64 ppc64el sh4 s390x
+Architecture: amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el s390x
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GObject-based library for SSDP (tools)
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
-GTK4_ARCHES := amd64 arm64 armel armhf i386 mips64el mipsel ppc64 ppc64el sh4 s390x
+GTK4_ARCHES := amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el s390x
 
 ifeq (,$(filter $(DEB_HOST_ARCH),$(GTK4_ARCHES)))
-	ENABLE_SNIFFER = -Dsniffer=false
+	ENABLE_SNIFFER = -Dsniffer=false -Dmanpages=false
 endif
 
 %:

## gssdp 1.6.3

=== debian/changelog ===
gssdp (1.6.3-2) unstable; urgency=medium

  * Update gir handling
  * Remove ancient Breaks/Replaces
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Mar 2025 09:21:18 -0400

gssdp (1.6.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 10:21:56 -0500

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gssdp
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                gi-docgen,
                libglib2.0-dev (>= 2.54),
                libgirepository1.0-dev (>= 0.9.12),
                gir1.2-glib-2.0,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-soup-3.0-dev,
                libsoup-3.0-dev,
                libgtk-4-dev [amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el s390x],
                meson (>= 0.54.0),
@@ -24,7 +22,7 @@
                valac (>= 0.14)
 Build-Depends-Indep: libglib2.0-doc <!nodoc>, libsoup-3.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gssdp
 Vcs-Git: https://salsa.debian.org/gnome-team/gssdp.git
 Homepage: https://wiki.gnome.org/Projects/GUPnP
@@ -32,7 +30,6 @@
 Package: libgssdp-1.6-0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GObject-based library for SSDP
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
@@ -56,12 +53,11 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgssdp-1.6-0 (= ${binary:Version}),
-         gir1.2-gssdp-1.6 (= ${binary:Version}),
          libsoup-3.0-dev,
+         ${gir:Depends},
          ${misc:Depends}
+Provides: ${gir:Provides},
 Suggests: libgssdp-doc
-Replaces: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
-Breaks: gir-repository-dev (<= 0.6.5-5), gupnp-vala (<= 0.10.4)
 Description: GObject-based library for SSDP (development files)
  A GObject-based API for doing SSDP (Simple Service Discovery Protocol)
  transparently.

## gssdp 1.6.4

=== meson_options.txt ===
option('gtk_doc', type: 'boolean', value: false, description: 'Enable generating the API reference (depends on GTK-Doc)')
option('sniffer', type: 'boolean', value: true, description: 'Compile graphical SSDP sniffer')
option('introspection', type: 'boolean', value : true, description: 'Enable or disable GObject Introspection')
option('vapi', type: 'boolean', value: true, description: 'Enable or disable generation of Vala vapi file')
option('examples', type: 'boolean', value: true, description : 'Enable or disable examples')
option('manpages', type: 'boolean', value: true, description : 'Generate man page for tools')

=== debian/changelog ===
gssdp (1.6.4-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream bugfix release
    - Improve reproducibility of gssdp-enums.c
    - Fix issues with Since: and Deprecated: declarations in documentation

  [ Simon McVittie ]
  * d/control: Build-depend on gir1.2-glib-2.0-dev, not just
    gir1.2-glib-2.0.
    In fact this typo was harmless because gir1.2-gobject-2.0-dev is
    provided by the same package.
  * d/control: Drop build-dependency on libgirepository1.0-dev.
    This is unnecessary now that we B-D on dh-sequence-gir and
    gir1.2-*-dev.
  * d/control: Drop B-D-I on -doc packages.
    gtk-doc needed these for documentation cross-references, but gi-docgen
    does not work the same way.
  * d/control: Drop B-D-I on modules needed by previously vendored
    gi-docgen. A vendored gi-docgen is no longer present.
    (Closes: #1105755)
  * d/control, d/rules: Only build reference documentation if required.
    Move gi-docgen to Build-Depends-Indep, and implement the nodoc
    build profile.
  * Set up documentation to appear in devhelp and doc-base
  * d/tests: Add a superficial test for the -dev package
  * Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 12 Aug 2025 19:35:07 -0400

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,8 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               gi-docgen,
                libglib2.0-dev (>= 2.54),
-               libgirepository1.0-dev (>= 0.9.12),
-               gir1.2-glib-2.0,
+               gir1.2-glib-2.0-dev,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gir1.2-soup-3.0-dev,
@@ -16,13 +14,10 @@
                libgtk-4-dev [amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el s390x],
                meson (>= 0.54.0),
                pandoc [amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el s390x],
-               python3-jinja2,
-               python3-toml,
-               python3-typogrify,
                valac (>= 0.14)
-Build-Depends-Indep: libglib2.0-doc <!nodoc>, libsoup-3.0-doc <!nodoc>
+Build-Depends-Indep: gi-docgen <!nodoc>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gssdp
 Vcs-Git: https://salsa.debian.org/gnome-team/gssdp.git
 Homepage: https://wiki.gnome.org/Projects/GUPnP

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,26 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 
+built_binaries := $(shell dh_listpackages)
 GTK4_ARCHES := amd64 arm64 armel armhf mips64el mipsel ppc64 ppc64el s390x
 
+configure_options :=
+
 ifeq (,$(filter $(DEB_HOST_ARCH),$(GTK4_ARCHES)))
-	ENABLE_SNIFFER = -Dsniffer=false -Dmanpages=false
+	configure_options += -Dsniffer=false -Dmanpages=false
+endif
+
+ifeq ($(filter %-doc,$(built_binaries)),)
+	configure_options += -Dgtk_doc=false
+else
+	configure_options += -Dgtk_doc=true
 endif
 
 %:
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-		$(ENABLE_SNIFFER) \
-		 -Dgtk_doc=true
+	dh_auto_configure -- $(configure_options)
 
 # Make the tests non-fatal on kfreebsd-* as multicast requires to explicitly
 # setup a route

=== debian/tests/control ===
Tests: libgssdp-1.6-dev
Restrictions: superficial
Depends: build-essential,
         libgssdp-1.6-dev,
         pkgconf
